Ubuntu

Please remove the plymouth dependency from mountall / cryptsetup

Reported by Christian Kujau on 2010-04-06
342
This bug affects 71 people
Affects Status Importance Assigned to Milestone
cryptsetup
Undecided
Unassigned
mountall (Ubuntu)
Undecided
Unassigned
Nominated for Lucid by ingo
Nominated for Maverick by ingo

Bug Description

Binary package hint: mountall

I noticed that mountall (and cryptsetup) depends on plymouth now. Whatever plymouth is doing or not doing, my headless system is booting fine without plymouth (dpkg --force-depends -P plymouth), yet all disks (local, NFS) are mounted and cryptsetup is setting up encrypted swap as it used to.

IMHO the "Depends: plymouth" is too hard and should be replaced with "Recommends:" or "Suggests:" for the following reasons:

- Headless systems won't ever see what plymouth is doing ("graphical boot animation")
- Plymouth itself depends on quite a few libraries (libdrm-*), unnecessarily adding code to the installation- Mountall is of "Priority: required" while plymouth is "optional". The "Depends:" makes plymouth essentially "required" as well and cannot be uninstalled w/o --force options.

Please reconsider this dependency.

# lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu lucid (development branch)
Release: 10.04
Codename: lucid

# dpkg -l | egrep 'mountall|cryptsetup' | cut -c1-90
ii cryptsetup 2:1.1.0~rc2-1ubuntu13
ii mountall 2.10

# apt-cache show plymouth | egrep 'Vers|Depe'
Version: 0.8.1-4ubuntu1
Depends: libc6 (>= 2.8), libdrm-intel1 (>= 2.4.9), libdrm-nouveau1 (>= 2.4.11-1ubuntu1~), libdrm-radeon1 (>= 2.4.17), libdrm2 (>= 2.4.3), libplymouth2 (= 0.8.1-4ubuntu1), upstart-job, udev (>= 149-2), mountall (>= 2.0)

description: updated
Harry (harry33) wrote :

I strongly support this.
"Depends" should only be used when the package is really needed.
Plymouth is not necessary, it is merely a "recommended" package.

Then there is another problem related to this.
Package ubuntu-desktop "depends" on plymouth-theme-ubuntu-logo package.
Once again, this should be "recommended" (see bug 556210).

The following assertion is wrong:

 - Headless systems won't ever see what plymouth is doing ("graphical boot animation")

the graphical parts of plymouth are contained in the plymouth-theme-* packages which are Recommends only, without them Plymouth merely regulates access to the system console in cases of filesystem decryption and error

Changed in mountall (Ubuntu):
status: New → Won't Fix

On Tue, 2010-04-06 at 14:47 +0000, Harry wrote:

> Then there is another problem related to this.
> Package ubuntu-desktop "depends" on plymouth-theme-ubuntu-logo package.
> Once again, this should be "recommended" (see bug 556210).
>
That looks like I mistake, I've reduced it to a recommends.

Scott
--
Scott James Remnant
<email address hidden>

Christian Kujau (christiank) wrote :

> Plymouth merely regulates access to the system console in cases of filesystem decryption and error

Again, my system runs fine w/o plymouth. Also, why is plymouth marked "optional" then when it appears to be required? And what about the libraries plymouth drags in, is libdrm-* really required to "regulating access to the system console"?

Christian Kujau (christiank) wrote :

Setting to confirmed as it seems to affect other people as well. Please don't just set to WONTFIX if discussion is still ongoing.

Changed in mountall (Ubuntu):
status: Won't Fix → Confirmed

The discussion is not ongoing, Won't Fix is a maintainer decision (ie. me) - this decision has also been approved by other members of the Technical Board and the Release Manager.

Any mistakes in fields such as priority are fixed by the RMs before release, and are not packaging issues

libdrm is the interface to the kernel rendering manager, and very much going to be a key part of Linux in future - so it's no harm for that to enter the standard set now

Changed in mountall (Ubuntu):
status: Confirmed → Won't Fix
ingo (ingo-steiner) wrote :

I also vote for assigning correct dependencies - leave the choice to users and do not force them to install unnecessary packages. Debian did not remove plymouth from Squeeze just for fun.

ingo (ingo-steiner) wrote :

Meanwhile I myself rebuilt the package for 'mountall 2.11' without the dependency from plymouth for amd64 architecture.

I increased the version nr. to 2.12, so apt and synaptic are happy and don't try to replace it by the repository version.
For those who trust me, I do attach it as a patch.

Nice one, ingo. Long live open source, lol.

While my server is headless, I don't mind the dependancies.
I however support the opinion that the dependancy should be optional.

ingo (ingo-steiner) wrote :

And here the patched i386 build

ingo (ingo-steiner) wrote :

Hi, letstrynl

I am running just a desktop, but I don't like that just eye-catching plymouth stuff. I prefer to see what's really happening during boot. On a headless server that's really annoying, think about Debian ;-)

With this dependencies removed all tools, synaptic and apt, are absolutely happy. The reason therefore is that I increased the version number by 1 to 2.12. So those tools think it's the latest version and the one from the repository is older ;-).

So you can perform apt-get update && apt-get upgrade without beeing bothered with defect dependencies in your packet cache. Until Ubuntu increases version numer to or above mine, I'll have to ... -> endless game?

No, if such a race starts, I'll publish howto do the patch (it's just 5 minutes ;-)

Hey ingo,

I totally understand. I also like to see what's going on.

But...

If Ubuntu wants to be a major desktop (it does), it has to take into account that most users don't want to know.
And users are always right, of course. I guess plymouth plays its part in that.

As for patching the package, I know how to do it (it's been a while though), but I want to view this from a users perspective.
So I prefer to let Canonical do it's job on this. A more standard installation leads to less problems.

As for the version number, you could also name it 2.11ingo, so you will catch 2.12 when it comes.
In that case you will have to patch again, if I read the reply above right ;-)

ingo (ingo-steiner) wrote :

Hey letstrynl ,

ok your/Canonical's arguments for plymouth are totally acceptable. On the other hand, if you consider how much trouble plymouth causes and how many bugs are still open I do not understand that they put such efforts and manpower in it, just to get it somehow working for the majority to the (fixed) release date.

There are really by far more important bugs to be fixed in the essential base system under the hood - if it is really going to be a good and reliable LTS-release. There for sure is a good reason, why Debian has removed plymouth completely form Squeeze and put it back to sid.

What is really NOT acceptable with Ubuntu:
setting intentially a dependency which definitely is not required, just to force normal users to install plymouth without a chance to de-install it. Such an attitude I'd expect from M$, but not in a Linux distribution.

I agree with you on the 1st and 2nd part.
It should only be in 10.04 LTS if it's stable. Period.
It would be nice if plymouth could be removed, especially when it's not totally stable.
However I have the fealing that Ubuntu is more or less more testing then stable if you compare it to Debian.
But Debian is a bit too conservative for my taste.

You can disable splash on the grub kernel commandline (remove 'quiet splash' for all messages in a text screen), isn't it?
Then you have what you want also.

I still have to find out what plymouth does exactly...

You could also mention your opinion as an idea at brainstorm.ubuntu.com, then people can vote on it.

Let's stop discussing it for now, here at this place.
It's a buglist, not a forum ;-)

If you find another place where the discussion can continue, I'll be happy to share my thoughts some further.

ingo (ingo-steiner) wrote :

Canonical has started the race by distributing a 2.12 with plymouth dependency added again.
I have taken up the competition, but won't upload the 'corrected version' in this tread.

Christian Kujau (christiank) wrote :

Yet anouther workaround: instead of patching (Thanks, Ingo!) mountall and all the other packages depending on "plymouth" now, one could install plymouth-pseudo package. This way the dependency would be satisfied but one can still receive updates on the other Ubuntu packages:

$ apt-get install equivs
$ equivs-control plymouth-dummy
$ vi plymouth-dummy
[...]

$ grep -v ^\# plymouth-dummy
Section: misc
Priority: optional
Standards-Version: 3.6.2

Package: plymouth-dummy
Provides: plymouth
Version: 1.0
Description: plymouth-dummy, see LP# 556372

$ equivs-build plymouth-dummy
$ ls -lgo plymouth-dummy*
-rw-r----- 1 826 2010-04-08 16:45 plymouth-dummy
-rw-r--r-- 1 2040 2010-04-08 16:47 plymouth-dummy_1.0_all.deb

$ dpkg -i plymouth-dummy_1.0_all.deb

Maybe the "Version:" tag has to be altered at some point later (when e.g. mountall depends on plymouth-2.0 or something). I did this here and it's running fine so far. Of course, if at some point they add some magical functional dependency to plymouth, one would be forced to install the real "plymouth" eventually.

Christian Kujau (christiank) wrote :

Oh, and for "libdrm is the interface to the kernel rendering manager" - yes, for desktop systems that may be valid. But there's still the "Ubuntu server" installation. Less dependencies, less code - less (security) issues.

ingo (ingo-steiner) wrote :

Hi Christian,

thanks for your hint - so we got several ways to manage this issue. Here the links for latest mountall packages based on Canonical's 2.12, with dependency on plymouth removed:

http://media.ubuntuusers.de/forum/attachments/2442423/mountall_2.12-0ingo_amd64.deb
http://media.ubuntuusers.de/forum/attachments/2442423/mountall_2.12-0ingo_i386.deb

I have expanded the version number, so you easily can recognize it also in synaptic. Also seems to get preference over the original 2.12, because after installing it, you are no longer bothered with upgrades/replacements during 'apt-get upgrade'. And in case this should fail in futuere, you can use apt-pinning to protect this builds:

Package: mountall
Pin: version 2.*ingo*
Pin-Priority: 1001

Perhaps the better solution would be to work with Ubuntu to:
1) Separate the important parts of plymouth and boot splash and
2) Make the functional part required with the extra part recommends

Plymouth does have an important part in the boot process. As much as I feel it's bloat, it's something that should be there.

Christian Kujau (christiank) wrote :

If plymouth is really needd and actually doing something useful besides providing fancy booting, then its package desciption should be changed to something more verbose (a bug against plymouth should be filed, I guess). However, when following the package page for plymouth I eventually end up on the freedesktop.org page where it's all about graphics and splashes.

But again, as Ubuntu is still shipping -server flavours, I fail to see the point why any package from the x11 section would be of priority "required". Why can't it be a dependency for "ubuntu-desktop", as in: I want a desktop system, with fancy bootup and so on. It's enough of a burden for all the headless admin (hihi) out there fiddling with bootparams to get to see exactly when the box stopped booting when something has gone wrong.

ingo (ingo-steiner) wrote :

Here the links for the patched versions 2.13:
http://media.ubuntuusers.de/forum/attachments/2445809/mountall_2.13-0ingo_amd64.deb
http://media.ubuntuusers.de/forum/attachments/2445809/mountall_2.13-0ingo_i386.deb

At this occasion: does anybody still have the deb's of v2.9, I'd be happy to test them as well?

Daniel Letzeisen (dtl131) wrote :

ingo, I'm doing the same thing in PPA form: https://launchpad.net/~dtl131/+archive/mediahacks

Alf Gaida (info-g-com) wrote :

thanks ingo, thanks dave, now it looks for me as a linux should look.

cdmiller (cdmiller) wrote :

To disable Plymouth on Lucid server we removed the /etc/init/plymouth*.conf scripts: http://staff.adams.edu/~cdmiller/posts/Ubuntu-Lucid-server-disable-plymouth/

Hope that is a helpful kludge for some.

Will Daniels (wdaniels) wrote :

Come on Canonical, what's with all the "user's want this and user's want that"? _I_ am a user, as are others here, and this hard depends on plymouth is causing me problems right now. If it's not required (and it's not) then it's not a Depends. This is a bug, plain and simple.

Nobody has given any real reason why it shouldn't be fixed - and it's such a painless, simple fix - so it amounts to sticking two fingers up at anybody who cares about this.

You know, I'm always defending Ubuntu and Canonical, but this sort of thing really smacks of Microsoft and I'm wondering - not for the first time lately - if I'm actually in the right camp here. Is the "server edition" just meaningless marketing drivel?

There's a great many people running headless servers who just don't want to have to deal with plymouth _right now_ and you're forcing us to...why? Because "it's no harm for that to enter the standard set now"? There _is_ a harm _for me_ because it breaks my setup and I have other things to be doing. Please have more consideration for busy admins who made a choice, in good faith, to work with Ubuntu.

Alf Gaida (info-g-com) wrote :

Here is a new PPA, fixing the a mountall and cryptsetup. It's a really massive change. Deleteing just one word and compile again. Nice Job setting it to won't fix.

https://launchpad.net/~info-g-com/+archive/helpers-rcs

ingo (ingo-steiner) wrote :

I'm afraid, but such attitudes seem to be common in Ubuntu.

We had a similar case some time ago in Gusty, where 's2ram' binary was intentionally removed fron 'uswsusp' package. And users were forced to use buggy kernel-suspend instead.

My suspicion: force users to test and debug 'kernel-suspend' instead of doing some QA homework.

SheeEttin (sheeettin) wrote :

Echoing the same sentiment--for me, trying to boot with "single" or no "splash" kernel options does not work at all (i.e. black screen, doing nothing, forever) unless I remove plymouth.

I've installed the dummy from Dave Lentz' PPA, and it works beautifully. Plymouth is obviously not required, and should not be.

Daniel Letzeisen (dtl131) wrote :

Sorry for not keeping up with Maverick versions. I'll (hopefully) have them soon when I find time to upgrade one of my Ubuntu installs to Maverick.

As a tester I kindly ask for an easy way to activate textual boot option. Why?

* The graphical boot might hang when changing the graphic driver - e.g. personal experience when trying to activate a NVIDIA driver.

* Textual booting facilitates error seeking - e.g. where does the boot process hang?

* A fast boot is the goal of all of us. On a global scale it even saves co2! ;-)
People out there don't always have the newest hardware, which might minimize the text/graphic boot time difference.

This discussion remembers me of the Ubuntu 10.04 window position problem (close/minimze/maximize position).

So please (whoever is in charge), choose a standard option (= Ubuntu Politics), but enable everyone to change to the other options in a simple way. Thank you.

Alf Gaida (info-g-com) wrote :

https://launchpad.net/~info-g-com/+archive/helpers-rcs

Packages for Lucid and Maverick - I'm willing to check out mav, but only without plymouth ;)

Tong Sun (suntong001) wrote :

Reading through all the comment, I still don't understand why mountall depends on plymouth.

Plymouth is an application that runs very early in the boot process, *even before the root filesystem is mounted!*

But why, oh why, mountall still depends on plymouth?

Please justify.

Thanks

Alf Gaida (info-g-com) wrote :

The answer is simple. If there where no dependency for plymouth, anyone could purge plymouth. This would break the holy eye-candy of ubuntu. A nice crash is better then a ugly error-free system start. :(

Johan Kiviniemi (ion) wrote :

> But why, oh why, mountall still depends on plymouth?

Something needs to be there to multiplex the potential interaction between multiple parallel boot programs (filesystem checks, cryptsetup etc.) and the user. That program is plymouth.

Alf Gaida (info-g-com) wrote :

You are joking, right? A hard dependency for further use? BTW: If plymouth should be useful, this would mean i could interact with programs. Several times i could not. In this shape plymouth does more harm then any useful things.

Or please change your last sentence: That program one day can eventually be plymouth. Until this goal is reached, make it removable. It's only a word in ../debian/control. (Building a ppa every time you update mountall sucks btw)

Alf Gaida (info-g-com) wrote :

Your last sentence is wrong: That program could eventually be plymouth in future. Today it sucks. In todays shape plymouth is useless and do harm to many people.

Ok - you can decide, what ever you want. But users can decide as well: My decision is to remove the dependency every time you update plymouth and purge it ( and i know, i'm not alone). This will be a long running gag. Make plymouth useful and i'll stop removing plymouth from my systems immediately. Maybe plymouth reach this state some day.

ingo (ingo-steiner) wrote :

Nice thread here, but there is no chance for plymouth to ever survive on my machine.
I don't accept intentionlly faulty configuration/dependency and meanwhile there is already a small community promoting and supporting a "free mountall and cryptsetp".

> potential interaction between multiple parallel boot programs (filesystem checks, ...

Ridiculous, I have never seen any interaction i.e during a fsck. Just the opposite is true: plymouth and what it displays is absolutely independent and in no way linked to reality. A filesystem check may even last longer than plymouth is alive ...

ingo (ingo-steiner) wrote :

Plymouth (currently) is obsolete!

I would also like to request the removal of this unnecessary dependancy.

We use Ubuntu Server in a fully virtualized environment, where text console is used to access our virtual machines.

For this reason, a graphical boot screen is of no use at all, and the fact we can't just purge this package to keep things tidy is quite frustrating.

I understand that Ubuntu aims to provide a graphically pleasing environment, but as an enterprise running hundreds of virtual machines, we like to run things as bear metal as possible.

Please don't take that choice away from experienced system engineers, who want to customize their environment for optimal performance and reliability.

There is no reason not to make this dependancy "recommends" and maybe use ubuntu-standard or ubuntu-desktop to ensure the package gets installed in a tipical install, but there is also no reason to force users to keep something installed that isn't an "essential" requirement.

Please remember that Ubuntu isn't only an attractive desktop environment, there are also power users out there who want to use it as a secure, reliable, up-to-date, production ready enterprise server environment.

I strongly encourage you to consider all the audiences your decision is impacting, and please reconsider this as an optional dependancy.

Thanks

ingo (ingo-steiner) wrote :

Liberated versions of the updated (security fix) mountall (v2.15.2 for Lucid resp. 2.17 for Maverick) are available in the known places.

22 comments hidden view all 102 comments
Christian Kujau (christiank) wrote :

FWIW, the equivs package[0] from comment #16 is still working, no need to upgrade every time a new mountall/cryptsetup/whatnot version is released.

cheers,
C.

[0] http://nerdbynature.de/bits/LP-506297/

ingo (ingo-steiner) wrote :

Final Natty versions mountall_2.25ubuntu1+0ingo (released April 14) without plymouth dependency and are available for download in the uu-forum from here: http://forum.ubuntuusers.de/post/2847002/,
or via direct link: http://media.cdn.ubuntu-de.org/forum/attachments/2847002/mountall2.25-natty.tgz

Includes i386 and amd64 deb's and md5sum,
enjoy!

Chris E (cbz) wrote :

Why not make plymouth a dependency of ubuntu-desktop and remove it as a dependency of mountall.

It's idiotic, frankly, what about mountall *requires* plymouth to work?

Evert Mouw (post-evert) wrote :

Just updated my Ubuntu server to [20]11.10 (Oneiric Ocelot).

This bug hit me and I wondered what Plymouth was, so I used Google and I could not believe that it was for flashy graphics because mountall depended on it. So I searched further, and then I discovered this discussion. So it's true, we have a pointless depencendy and it generates bugs.

Thanks. My next server will less likely run ubuntu, and I will warn other admins for this new ubuntu mindset.

Christian Kujau (christiank) wrote :

Why has this been set to WONTFIX again? Has a consensus been reached already? From looking at the comments here, I doubt that. I still think "Depends" is too hard and think "Recommends" is a better suit for this. As APT::Install-Recommends=true is the default, nothing would change for the general users. Powerusers with need to the console can opt to uninstall it w/o breaking their system and w/o the "equivs" hack.

1 comments hidden view all 102 comments
Daniel Letzeisen (dtl131) wrote :

I will post plymouth-optional packages for oneiric in my mediahacks PPA this afternoon.

ingo (ingo-steiner) wrote :

I as well built mountall packages for Oneric without dependency on plymouth. They can be downloaded from uu-forum here: http://media.cdn.ubuntu-de.org/forum/attachments/3553372/mountall_2.31_liberated.tgz. The archive contains both, i386 and amd64 packages.

Cif (cifvts) wrote :

I've solved the problem installing the modified version of mountall and cryptsetup. But this is absolutely dumb! Won't fix is ridiculous: I've installed the server version and I need all the data to be protected and there's no way I put a keyboard and a server because of this. The only way I can't use Debian is because some of the packages are too old, but I'm regretting the idea to put Ubuntu in the new server I have to setup. I really hope someone decide to fix this non-sense behavior. Just allow people to remove plymouth, it's easy.

Christian Kujau (christiank) wrote :

I still don't understand what the _technical_ reason is not to switch to Recommends: rather than Depends: as it is now. If plymouth would be "recommended" only - nothing would change, since "Install-Recommends" is on by default and everything would just continue to work. But the sysadmin is free to uninstall plymouth, w/o going through these hoops of custom mountall packages and equivs dummy packages. Plymouth is out for...some years now and it's still hindering proper boot-related debugging now and then and it's still uneccesary for headless systems.

Please explain why plymouth cannot be set to "Recommended" to the affected packages (mountall, cyrptsetup, ...). Thanks.

Jacob (jacob11) wrote :

This bug is RIDICULOUS. Ubuntu's quality decreases more and more.

Why it's dependent and not recommend?!?

Oliver Joos (oliver-joos) wrote :

Perhaps we could create an empty deb package "plymouth_99.9.9-9ubuntu99.deb" with unchanged dependencies but without files in it that would be installed. ATM I use the PPA from comment 22. But this PPA has to follow every update of mountall and cryptsetup. I'd prefer to keep the original mountall and cryptsetup but "update" plymouth to an empty version.

We really need an easy-to-maintain fix for this bug before some Smart-TV-like commercials show up as new default plymouth splash screens! ;-)

Christian Kujau (christiank) wrote :

@Oliver: this can be achieved via "equivs", see my comment #16. This creates a dummy package (with "Provides: plymouth") that will fullfil this depenancy. Works like a charm here :)

Oliver Joos (oliver-joos) wrote :

@Christian: I overlooked your cool workaround in comment 16! It is exactly the solution I meant, and in my Natty classic it works perfectly too! Thank you very much!

What do you think: should we attach the resulting .deb here, as a kind of "patch"? It is easy to generate, but it would make more clear that this bug has a solution. If I understand it correctly, the deb works for all Ubuntu releases (unless they introduce a real functional dependency, as you wrote).

Christian Kujau (christiank) wrote :

Feel free to attach the resulting .deb (if one is allowed to attach binary files).

Maybe users will be more comfortable doing this on their own, so they "see" what they're installing. And yes, the deb works for all Ubuntu versions. Also yes: the equivs version will have no functionality whatsoever but to satisfy the "Depend: plymouth" from various packages.

Oliver Joos (oliver-joos) wrote :

Ok then, here is the ready-to-install plymouth-dummy_1.0_all.deb! It's an empty package but allows to remove plymouth while keeping the packages that have wrong dependencies to plymouth.

To workaround this (WontFix??) bug and remove plymouth just execute 2 commands in a Terminal:
  sudo dpkg -i plymouth-dummy_1.0_all.deb
  sudo apt-get remove plymouth

Advanced users can build plymouth-dummy_1.0_all.deb themselves: see comment 16
Many thanks to Christian Kujau!

Martin Bishop (martin-bishop) wrote :

Any plans to stop forcing broken software on users just to make things "pretty", and actually start fixing real bugs that are actually affecting users ?

Changed in cryptsetup:
status: New → Confirmed
Mark - Syminet (mark-syminet) wrote :

*nod* ... after only four years (not even one LTS cycle), we have begun the upgrade process back to debian. Debian testing appears to be much more stable than ubuntu these days. Less updates too.

ingo (ingo-steiner) wrote :

> Debian testing appears to be much more stable than ubuntu these days. Less updates too.

+1

PlaidRadish (jeff-plaidradish) wrote :

Not that this thread (and bug) need more support, but this has now become an issue for me in Ubuntu Server 12.10 - on boot, my main tty (tty1) reads:

     {servername} login: mountall: Plymouth command failed
     mountall: Disconnected from Plymouth

This would normall be the screen where I would login...I can still login, but the text is misleading to new Ubuntu Server users. It is now difficult to tell where to input the login information, as the Plymouth error appears where the user's login name should be typed.

Please change Ubuntu Server distributions to exclude Plymouth as a dependency. This error is an annoyance when teaching Ubuntu Server to new technicians.

chalom (andrechalom) wrote :

We are in 2013, and this problem (which is not exactly a bug, more a refusal of the developers to provide a decent answer) is still open and unchanged. I am very disappointed that the developers will not listen to dozens of users here and change one dependency. We are not asking you to drop plymouth from the repositories. We are not asking to drop plymouth from the default installation. We are simply stating that a "recommended" package shoult NOT be a dependency for a "required" package. The lack of answer from the development team is childish and disapointing. You are just deterring the users from customizing their own setup and encouraging users to change distributions, congratulations to you all.

Thanks ingo, christiank and the others for the workarounds. I think I'll stick with "change to Debian".

Steve Riley (steveriley) wrote :

> We are not asking to drop plymouth from the default installation.

Actually, I think it should be removed. Go take a look at the zillion posts in Ubuntu and Kubuntu forums about problems during boot. In many cases, we have to spend useless time telling people how to disable the pretty graphical boot so that we can see the underlying boot text just to find out where a problem might lie. Concealing useful information makes no sense. How many people really make their OS choices based on "seamless graphical boots" with pretty wallpaper?

Christian Kujau (christiank) wrote :

This bug is not meant to "remove plymouth" - if you feel that way, please file another bug.

Speaking of which: this bug here is set to "wontfix" - do I need to file a new bug or can this be set to "confirmed" again?

SheeEttin (sheeettin) wrote :

Per Scott in comment #4: "Won't Fix is a maintainer decision (ie. me)"; so basically this is a "because I say so" thing? I'm not sure how to proceed if the maintainer refuses to fix it.

Alf Gaida (info-g-com) wrote :

Christian Kujau: remove plymouth as dependency would be enough :)
SheeEttin: http://www.debian.org/CD/netinst/index.en.html#netinst-stable :)

ingo (ingo-steiner) wrote :

SheeEttin: I'd rather recommend going for Wheezy which is almost done. It is supposed to have less bugs already now than Ubuntu will ever achieve. If you want to stick to good old Gnome2 desktop, have a look at MATE 1.6.

Thorsten Goetzke (th-goetzke) wrote :

I am speechless. Filesystem mounting on startup "depends" on an unstable GUI.
But "hey!" plymouth can also send messages to the console! Everything is fine.. No? No!
Fix it, there are no excuses.

The attachment "replacement for mountall_2.11 with plymouth dependency removed" seems to be a patch. If it isn't, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are a member of the ~ubuntu-reviewers, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issues please contact him.]

tags: added: patch
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in plymouth (Ubuntu):
status: New → Confirmed
Steve Langasek (vorlon) on 2013-06-29
Changed in plymouth (Ubuntu):
status: Confirmed → Invalid
SheeEttin (sheeettin) wrote :

Steve, care to comment on why this is invalid?

ingo (ingo-steiner) wrote :

> Steve, care to comment on why this is invalid?

Because God Fathter decided.

For Raring you can find liberated packages of mountall and cryptsetup here:
http://forum.ubuntuusers.de/post/5699657/quote/

They have proven to work and even solved some problems caused by plymouth.

Christian Kujau (christiank) wrote :

On Sat, 29 Jun 2013 at 00:22, Steve Langasek wrote:
> ** Changed in: plymouth (Ubuntu)
> Status: Confirmed => Invalid

Can you comment on this one, please? So far there has been no technical
reasoning in #556372 as to why a "Depends: plymouth" should be warranted.
OTOH, technical reasons have been given why Recommends: would be
sufficient.

Thanks,
Christian.

Steve Riley (steveriley) wrote :

Reopened. Son long as I have to keep purging something to have a properly functioning system, the bug has not been fixed.

Changed in plymouth (Ubuntu):
status: Invalid → Confirmed
Steve Langasek (vorlon) wrote :

This dependency:
 - is not a bug in plymouth.
 - is not up for debate.

> Reopened. Son long as I have to keep purging something
> to have a properly functioning system, the bug has not been fixed.

You do not have a properly functioning system if you have purged plymouth. You have a system that will fall on its face and fail to boot with no recovery options if there is ever any problem with any of the filesystems listed in /etc/fstab.

no longer affects: plymouth (Ubuntu)
Christian Kujau (christiank) wrote :

On Sun, 30 Jun 2013 at 21:59, Steve Langasek wrote:
> This dependency:
> - is not a bug in plymouth.

Well, no, but it's a bug in packages like mountall an cryptsetup which
DEPEND on plymouth - that's the whole point of this bug.

> - is not up for debate.

Oh? Why so?

> You do not have a properly functioning system if you have purged
> plymouth. You have a system that will fall on its face and fail to boot
> with no recovery options if there is ever any problem with any of the
> filesystems listed in /etc/fstab.

Booting with "init=/bin/sh" is sufficient for a recovery system, I don't
need plymouth for that. More to the point, relying on even more software
for a recovery system makes no sense - if the system is heavily damaged, I
should rely on as little software as possible to get it running again. A
kernel and a working shell would be sufficient. With plymouth and its
dependency tree this cannot be guaranteed.

Povilas Kanapickas (p12) wrote :

If plymouth only handles messages to the console, it shouldn't depend on libpango, a font library.

Shahar Or (mightyiam) wrote :

If libpango dependency is the issue then please rewrite title and
description accordingly or better yet submit a new bug on that.

Sent from mobile נשלח מנייד
On 12 Nov 2013 21:27, "Povilas Kanapickas" <email address hidden>
wrote:

> If plymouth only handles messages to the console, it shouldn't depend on
> libpango, a font library.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/556372
>
> Title:
> Please remove the plymouth dependency from mountall / cryptsetup
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/cryptsetup/+bug/556372/+subscriptions
>

UBUCATZ (ubucatz) wrote :

We are doing some research on how PARTICIPATION actually works in the Ubuntu ecosystem and we would like to know if there is any community process that would allow voting on this issue?

This is an especially interesting issue because from a technical view it is very clear - of course it is total nonsense to have such basic things like cryptsetup depend on a graphical boot animation gimmick. But this makes the question even more interesting how such unreflected decisions creep into the community. Is this an attempt to make Ubuntu a bad name? Is there some planning for future plymouth features that make this dependency needed today? Or is this just kind of a strange joke?

Christian Kujau (christiank) wrote :

FWIW, Fedora also ships plymouth by default but it is entirely possible to remove all plymouth packages w/o any hard dependencies. I was really surprised by this, given that RPM based distributions have a bad rep for the "rpm hell". Not anymore, it seems...

Displaying first 40 and last 40 comments. View all 102 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers